COLOBOT(6)

NOM
colobot - Jeu éducatif de stratégie et de programmation

RÉSUMÉ
colobot

DESCRIPTION
Colobot (Colonise avec des roBots) est un jeu éducatif visant à l'enseignement de la programmation par le jeu. Vous jouez un astronaute en voyage avec des robots à la recherche d'une planète à coloniser. Son interface est en trois-dimensions et en temps réel. Le langage utilisé (CBOT), orienté objet , ressemble au C++ et à Java. Il peut être utilisé pour programmer les robots disponibles dans le jeu.

OPTIONS

-help
    Affiche un court texte d'aide

-resolution WxH
    Définit la résolution d'écran au lancement

-graphics default|auto|opengl|gl14|gl21|gl33
    Change de périphérique graphique

-glversion default|#.#
    Définit la version du contexte OpenGL à utiliser.

-glprofile default|core|compatibility|opengles
    Définit le profil de context OpenGL à utiliser.

SURCHARGES DE CHEMINS AU LANCEMENT

-langdir /chemin/vers/lang/
    Définit le chemin vers un répertoire de fichiers de traductions

-datadir /chemin/vers/les/donnes/
    Définit le chemin vers un répertoire de données spécifique

-savedir /chemin/vers/save/
    Définit le chemin vers le répertoire de sauvegardes (doit être inscriptible)

-mod /chemin/vers/mods/
    Définit le chemin vers un répertoire de mods spécifiques

OPTIONS DE DEBUG

-loglevel trace|debug|info|warn|error|none.
    Définit le niveau de log

-debug all|event|models|...
    Active le mode de debug (plus d'informations dans les logs). Les valeurs possibles sont les suivantes, ainsi que toute combinaison séparée par des virgules

    sys_events
        Événements système

    update_events
        Événements de mise à jour

    app_events
        Événements de l'application

    events
        Tous les événements ci-dessus

    models
        Débug pour les modèles

    all Tous les messages de debug ci-dessus

-headless
    Lance en mode headless - désactive les graphiques, sons et interactions utilisateurs

-runscene scenecodename
    Démarre directement une scène (saute les menus)

-scenetest
    Gagne chaque mission immédiatement après son lancement

ENVIRONNEMENT

LC_MESSAGES
    Utilisé pour déterminer la langue au lancement.

Auteur
Cette page de manuel a été écrite et traduite par Didier 'OdyX' Raboud <odyx@debian.org>.